defaultTaskTypes
Description
An array of default task typesDefault config
defaultTaskTypes = [
{ id: "task", label: "Task" },
{ id: "summary", label: "Summary task" },
{ id: "milestone", label: "Milestone" },
];
Example
To modify default task types, import defaultTaskTypes, and then apply the taskTypes property to make changes to task types.
<script setup>
import { Gantt, Editor, defaultTaskTypes } from "@svar-ui/vue-gantt";
const api = ref(null);
const taskTypes = [
...defaultTaskTypes,
{ id: "urgent", label: "Urgent" },
{ id: "narrow", label: "Narrow" },
{ id: "progress", label: "Progress" },
{ id: "round", label: "Rounded" },
];
</script>
<template>
<Gantt ref="api" :taskTypes="taskTypes" />
<Editor :api="api" />
</template>
Related articles:

Skip to main content

defaultTaskTypes

Description

An array of default task types

Default config

defaultTaskTypes = [
{ id: "task", label: "Task" },
{ id: "summary", label: "Summary task" },
{ id: "milestone", label: "Milestone" },
];

Example

To modify default task types, import defaultTaskTypes, and then apply the taskTypes property to make changes to task types.

import { useRef } from "react";
import { Gantt, Editor, defaultTaskTypes } from "@svar-ui/react-gantt";

function App() {
const apiRef = useRef(null);

const taskTypes = [
...defaultTaskTypes,
{ id: "urgent", label: "Urgent" },
{ id: "narrow", label: "Narrow" },
{ id: "progress", label: "Progress" },
{ id: "round", label: "Rounded" },
];

return (
<>
<Gantt ref={apiRef} taskTypes={taskTypes} />
<Editor api={apiRef.current} />
</>
);
}

export default App;

Related articles: